--- title: "Post Action" slug: "compute-cloudfunctions-v2-postaction" tags: ["Cloud Functions"] updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-v2-postaction" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Post Action Available in Classic and VPC Run a Cloud Functions action. Note HTTP requests/responses can't be handled directly in `web` and `sequence-web` type actions. Please use API Gateway type triggers for related functionality. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /ncf/api/v2/packages/{packageName}/actions/{actionName} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `packageName` | String | Required | Package name - Enter the special character "-" for actions that are not part of a package. | | `actionName` | String | Required | Action name | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` (default) \| `classic` | | `timeout` | Integer | Optional | Action response maximum wait time (millisecond) - 0-60,000 (default: 60,000) - If the action is executed beyond the set timeout, the response body contains only the action execution ID value. | ### Request body You can include the following data in the body of your request: Depending on the type of the trigger, you can pass the runtime parameters of the required action in JSON format. | Field | Type | Required | Description | | --- | --- | --- | --- | | User-defined | Object | Optional | Action runtime parameter | ### Request example The request example is as follows: ``` curl -X POST 'https://cloudfunctions.apigw.ntruss.com/ncf/api/v2/packages/{packageName}/actions/{actionName}?platform=vpc&timeout=60000' \ --header 'Content-Type: application/json; charset=utf-8' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' --data '{ "name": "Cloud Functions", "place": "NAVER Cloud" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Action activation information | | `content.activationId` | String | - | Action execution history ID | | `content.duration` | Integer | - | Action execution time (millisecond) | | `content.end` | Integer | - | Action execution end time (millisecond) - Unix timestamp format | | `content.name` | String | - | Action name | | `content.namespace` | String | - | Namespace of the user | | `content.response` | Object | - | Action activation result information | | `content.response.result` | Object | - | Action execution result | | `content.response.result.payload` | String | - | Main function return value for action execution results | | `content.response.status` | String | - | Action status | | `content.response.success` | Boolean | - | Whether the action was successful | | `content.start` | Integer | - | Action execution start time (millisecond) - Unix timestamp format | | `content.subject` | String | - | Information of the user that executed the action | ### Response status codes For information about the HTTP status codes common to all Cloud Functions APIs, see [Cloud Functions response status codes](/docs/en/compute-cloudfunctions#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "activationId": "***fe30d270d4bc29fe30d270debc2f7", "duration": 3, "end": 1713936450102, "name": "myaction", "namespace": "***QK06kFG8C", "response": { "result": { "payload": "abc" }, "status": "success", "success": true }, "start": 1713936450099, "subject": "***QK06kFG8C" } } ```